Package: org.codehaus.groovy.classgen.asm

## [Java] Class MethodCaller

- org.codehaus.groovy.classgen.asm.MethodCaller

- All Implemented Interfaces and Traits:
    org.objectweb.asm.Opcodes

      public class MethodCaller
      extends Object

  A helper class to invoke methods more easily in ASM

  Authors:
    James Strachan

- - ### Constructor Summary

    Constructors
    Constructor and description
    `MethodCaller (int opcode, Class theClass, String name)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `call(org.objectweb.asm.MethodVisitor methodVisitor)`
    `` | `protected Method` | `getMethod()`
    `` | `String` | `getMethodDescriptor()`
    `` | `static MethodCaller` | `newInterface(Class theClass, String name)`
    `` | `static MethodCaller` | `newStatic(Class theClass, String name)`
    `` | `static MethodCaller` | `newVirtual(Class theClass, String name)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public MethodCaller(int opcode, Class theClass, String name)

  - ### Method Detail

    - #### public void call(org.objectweb.asm.MethodVisitor methodVisitor)

    - #### protected Method getMethod()

    - #### public String getMethodDescriptor()

    - #### public static MethodCaller newInterface(Class theClass, String name)

    - #### public static MethodCaller newStatic(Class theClass, String name)

    - #### public static MethodCaller newVirtual(Class theClass, String name)